[issue5235] distutils seems to only work with VC++ 2008 (9.0)

Tarek Ziadé report at bugs.python.org
Fri Feb 13 00:20:38 CET 2009


Tarek Ziadé <ziade.tarek at gmail.com> added the comment:

distutils will use the same compiler used to build Python.

If you want to build with a previous version of MSVC, you need to 
compile Python with that particular version.

That said, MSVCCompiler could probably take new options, to force the
MSVC version and the arch.

This is in theory. Are you willing to help me build that patch ?

Some tests on your system would be appreciated.

----------
priority:  -> normal
type:  -> feature request
versions: +Python 2.7, Python 3.1 -Python 2.6

_______________________________________
Python tracker <report at bugs.python.org>
<http://bugs.python.org/issue5235>
_______________________________________


More information about the Python-bugs-list mailing list